<template>
  <div class="userAgreement h-full overflow-auto px-5">
    <img @click="handleClickClose" :src="closeIcon" alt="close" />
    <div class="text-font-white text-sm" v-for="n in 20" :key="n">
      这里是协议内容，待产品提供后，开发直接替换上去，这里是协议内容。
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
const closeIcon = require("@/assets/icons/close_large.png");

export default Vue.extend({
  props: ["setOverlayShow"],
  data() {
    return {
      closeIcon,
    };
  },
  methods: {
    handleClick() {
      console.log(123);
    },
    handleClickClose() {
      this.setOverlayShow(false);
    },
  },
});
</script>

<style>
.userAgreement {
  background: #131934;
}
</style>